import { Component } from '@angular/core';
import { NavController, MenuController } from 'ionic-angular';
import { TwitterApiProvider } from '../../providers/twitter-api/twitter-api';

@Component({
  selector: 'page-home',
  templateUrl: 'home.html'
})
export class HomePage {
  menuController: MenuController;

  constructor(public navCtrl: NavController, private twitter: TwitterApiProvider, menuCtrl: MenuController) {
    this.menuController = menuCtrl;
  }

  ionViewDidLoad() {
    console.log('hi from homepage');
    this.menuController.enable(true, 'sideNav');
  }

  clickmich() {
    this.twitter.fetchHomeFeed().subscribe(data => console.log(data));
  }
}
